Bug 1415944 (CVE-2016-10163) - CVE-2016-10163 Virglrenderer: host memory leakage when creating decode context
Summary: CVE-2016-10163 Virglrenderer: host memory leakage when creating decode context
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1415945
Blocks: 1408139
TreeView+ depends on / blocked
 
Reported: 2017-01-24 07:25 UTC by Prasad J Pandit
Modified: 2019-09-29 14:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:04 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-01-24 07:25:10 UTC
Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support
for the virtio GPU, is vulnerable to memory leakage issue. It could occur when
a guest tries to create decode context via 'VIRTIO_GPU_CMD_CTX_CREATE' command.

A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=747a293ff6055203e529f083896b823e22523fe7

Comment 1 Prasad J Pandit 2017-01-24 07:25:21 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-01-24 07:25:48 UTC
Created virglrenderer tracking bugs for this issue:

Affects: fedora-all [bug 1415945]

Comment 3 Andrej Nemec 2017-01-25 12:44:58 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/187

Comment 4 Product Security DevOps Team 2019-06-08 03:06:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.